/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* 汎用 */
.sp {
	display: none;
}
.ib {
	display: inline-block;
}
.lb {
	word-break: keep-all;
	overflow-wrap: anywhere;
}
.c-ruby rt {
	font-size: 0.5em;
	margin-bottom: 10px;
}
.c-text-vertical {
	writing-mode: vertical-rl;
	text-orientation: mixed;
}
.c-title01 {
	z-index: 1;
}
.c-title01::before {
	content: '';
	display: block;
	width: 100%;
	height: 1px;
	border-top: 0.25px dashed #3E3A39;
	position: absolute;
	inset: 50% auto auto 0;
	translate: 0 -50%;
	z-index: -1;
}

.c-title01 .elementor-heading-title {
	display: inline-block;
	width: fit-content;
	background-color: #edede7;
	padding-right: 60px;
}
.c-list01 li span {
	padding-left: 20px!important;
}
.c-list01 li span::before {
	content: '';
	display: block;
	width: 5px;
	height: 1px;
	background-color: #3e3a39;
	position: absolute;
	inset: 0.5lh auto auto 0;
	translate: 0 -50%;
}
@media(max-width: 767px) {
	.pc {
		display: none;
	}
	.sp {
		display: block;
	}
	.c-text-vertical.c-text-vertical--message {
		scale: -1 -1;
	}
}
.fadeInUp {
	animation-name: refadeInUp!important;
	animation-timing-function: ease-out!important;
}
@keyframes refadeInUp {
	from {
		opacity: 0;
		translate: 0 100px;
	}
	to {
		opacity: 1;
		translate: 0 0;
	}
}
.fadeInUp.animated {
	animation-duration: 1s;
}

/* スクロールアニメーション */
.scroll {
	display: flex;
	flex-direction: column;
	gap: 20px;
}
.scroll-text {
	color: #fff;
	font-size: 15px;
	line-height: 1;
	writing-mode: vertical-rl;
	text-orientation: mixed;
}
.scroll-border {
	position: relative;
	position: relative;
	width: 10px;
	height: 130px;
	overflow: hidden;
}
.scroll-border::before {
	content: "";
	display: block;
	position: absolute;
	width: 0.5px;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	background: #fff;
	margin: auto;
}
.scroll-border::after {
	content: "";
	display: block;
	position: absolute;
	width: 6px;
	aspect-ratio: 1;
	left: 0;
	right: 0;
	background: #fff;
	border-radius: 50%;
	animation: scrollbar 2.0s ease-in-out infinite;
	margin: auto;
}
@keyframes scrollbar {
	0% {
		bottom: 170px;
		opacity: 0;
	}

	50% {
		opacity: 1;
	}

	100% {
		bottom: -10px;
		opacity: 0;
	}
}

/* ヘッダー */
.hum-wrapper {
	z-index: calc(infinity) !important;
}
.hum {
	font-size: 0;
	border: 1px solid #fff;
	width: 60px;
	aspect-ratio: 1;
	border-radius: 50%;
	position: relative;
	z-index: 100;
	cursor: pointer;
	filter: drop-shadow(0px 0px 3px #232323);
	z-index: calc(infinity) !important;
}
.hum.l-hum {
	border-color: var( --e-global-color-secondary );
	filter: none;
}
.hum::before,
.hum::after,
.hum span {
	display: block;
	background-color: #fff;
	height: 1px;
	width: 25px;
	transition: all 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
	position: absolute;
	transform: translate(-50%, 0);
}
.hum.l-hum::before,
.hum.l-hum::after,
.hum.l-hum span {
	background-color: var( --e-global-color-secondary );
}
.hum::before {
	content: "";
	inset: calc(50% - 10px) auto auto 50%;
}
.hum::after {
	content: "";
	inset: calc(50% + 10px) auto auto 50%;
}
.hum span {
	inset: 50% auto auto 50%;
	transform: translate(-50%, -50%);
}
.hum--active::before,
.hum--active::after {
	width: 50%;
}
.hum--active::before {
	inset: 50% auto auto 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
}
.hum--active::after {
	inset: 50% auto auto 50%;
	transform: translate(-50%, -50%) rotate(45deg);
}
.hum--active span {
	opacity: 0;
}
.hum__menu .sub-menu {
	display: block!important;
	width: 100%!important;
	background-color: transparent;
	position: relative!important;
	inset: auto!important;
	padding: 0 0 0 1em!important;
	margin: 10px 0 0!important;
}

.hum__menu .sub-menu menu-item {
	background-color: transparent!important;
}

.hum__menu .sub-menu .elementor-sub-item {
	font-size: 14px;
	color: #fff;
	border-left: 1px solid #fff;
	padding: 0 0 0 15px;
	margin: 20px 0 0;
}
.hum__menu .sub-menu .elementor-sub-item:hover {
	background-color: transparent;
	padding: 0 0 0 15px;
}
.h__btn a {
	display: grid;
	place-items: center;
	min-height: 60px;
}
@media(max-width: 767px) {
	.h__cv {
		inset: auto auto 0 0!important;
	}
	.h__btn a {
		min-height: 50px;
	}
}

/* フッター */
.f__menu .elementor-nav-menu {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(5, 1fr);
	gap: 35px 55px;
	padding-bottom: 35px;
}
.f__menu .elementor-nav-menu > *:nth-child(1) { grid-area: 1 / 1 / 2 / 2; }
.f__menu .elementor-nav-menu > *:nth-child(2) { grid-area: 2 / 1 / 3 / 2; }
.f__menu .elementor-nav-menu > *:nth-child(3) { grid-area: 3 / 1 / 4 / 2; }
.f__menu .elementor-nav-menu > *:nth-child(4) { grid-area: 4 / 1 / 5 / 2; }
.f__menu .elementor-nav-menu > *:nth-child(5) { grid-area: 5 / 1 / 6 / 2; }
.f__menu .elementor-nav-menu > *:nth-child(6) { grid-area: 1 / 2 / 2 / 3; }
.f__menu .elementor-nav-menu > *:nth-child(7) { grid-area: 2 / 2 / 3 / 3; }
.f__menu .elementor-nav-menu > *:nth-child(8) { grid-area: 3 / 2 / 4 / 3; }
.f__menu .elementor-nav-menu > *:nth-child(9) { grid-area: 4 / 2 / 5 / 3; }

.f__menu .elementor-item {
	justify-content: space-between;
	border-bottom: 0.5px solid #fff;
	padding: 0 5px 5px 0!important;
}
.f__menu .elementor-item::after {
	content: '';
	display: block;
	width: 5px;
	aspect-ratio: 5 / 8;
	background-color: #fff;
	clip-path: polygon(0 0, 100% 50%, 0 100%);
	transition: .2s ease-out;
	opacity: 1!important;
	position: relative;
	inset: auto;
}
.f__btn .f__btn-icon {
	transition: .2s ease-out;
}
@media (any-hover: hover) {
	.f__menu .elementor-item:hover::after {
		translate: 10px 0;
	}
	.f__btn:hover .f__btn-icon {
		translate: 10px 0;
	}
}
@media(max-width: 767px) {
	.f__menu .elementor-nav-menu {
		gap: 35px;
	}
	.f__pp {
		position: relative!important;
		inset: auto!important;
	}
}